## 2.3 修改第一个C++程序

### 2.3.1 多条语句打印单行文本

...\Ch02\Multiple\Multiple.cpp：

```c++
// Multiple.cpp
//
// 多条语句打印单行文本
//
#include <iostream> // 使程序可以在屏幕上输出数据

// 主函数是程序执行的起点
int main() {
    std::cout << "欢迎使用";
    std::cout << "C++！\n";

    return 0; // 成功退出
} // 主函数结束
```

编译运行：

```
欢迎使用C++！
```

程序代码的第9行和第10行，在两条语句中执行了面向输出流的插入操作，但产生的输出与上一个例子完全相同。每次对输出流的插入操作都会在上一次停止的地方继续，而且第一次输出的文本并没有带换行符，因此两次输出的文本依然被显示在同一行中。

### 2.3.1 单条语句打印多行文本

...\Ch02\Single\Single.cpp：

```c++
// Single.cpp
//
// 单条语句打印多行文本
//
#include <iostream> // 使程序可以在屏幕上输出数据

// 主函数是程序执行的起点
int main() {
    std::cout << "欢迎使用\nC++！\n";

    return 0; // 成功退出
} // 主函数结束
```

编译运行：

```
欢迎使用
C++！
```

通过单条语句打印多行文本是通过额外的换行符实现的。输出流每遇到一个换行符“\n”，即将光标移到下一行的开头。