## 3.5 while循环语句

循环语句使程序在某个条件保持为真时重复一个行动。下面的代码用于找出3的第一个大于100的幂：

```c++
int product{ 3 };
while (product <= 100) {
	product = product * 3;
}
cout << product << endl;
```

while循环语句的每一次循环，都会令product的值扩大3倍。因此product的值依次为3、9、27、81和243。当 product的值变成243时，其值小于等于100的条件不再满足，循环终止。程序从while循环语句之后的语句继续执行，输出product的最终值243。执行过程如下图所示：

```mermaid
graph TB
  entrance(将product的值初始化为3)
  cond{product的值小于等于100}
  yes(令product的值扩大3倍)
  exit(输出product的最终值)
  entrance-->cond--满足-->yes-->cond--不满足-->exit
```