## 3.9 复合赋值操作符

以下语句：

```c++
c = c + 3;
```

可以用加法复合赋值操作符“+=”改写成：

```
c += 3;
```

即将变量c的当前值与3相加，结果再存回变量c。

复合赋值操作符的一般形式：<操作符>=

复合赋值表达式的一般形式：<左操作数> <操作符>= <右操作数>

等价于：<左操作数> = <左操作数> <操作符> <右操作数>

下表列出了所有的算术复合赋值操作符：

算术复合赋值操作符|示例表达式|等价解释
:-:|:-:|:-:
+=|`a += b`|`a = a + b`
-=|`a -= b`|`a = a - b`
*=|`a *= b`|`a = a * b`
/=|`a /= b`|`a = a / b`
%=|`a %= b`|`a = a % b`

复合赋值操作符与赋值操作符一样，是所有操作符中优先级最低的。例如：

`a *= b + c`$\quad\Leftrightarrow\quad$`a = a * (b + c)`

复合赋值表达式的值，是其左操作数被赋值后的值。