# 11 操作符重载、拷贝/移动语义和智能指针

本章主要内容：

- 使用string类重载的操作符
- 通过操作符重载构建有价值的类
- 特殊的成员函数，何时需要为自定义的类型实现它们
- 对象何时需要移动，何时需要拷贝
- 借助右值引用和移动语义，销毁即将超出范围的对象实例，以提高程序的运行性能
- 避免使用new和delete操作符，实现动态内存管理
- 借助智能指针，实现动态内存管理的自动化
- 设计一个完美的MyArray类
  - 包含五个特殊的成员函数，以支持拷贝和移动语义
  - 重载多个一元和二元操作符
- 三路比较操作符（<=>）的用法
- 对象间的类型转换
- 通过explicit关键字，防止类型转换构造函数，和类型转换操作符函数，被用于隐式类型转换
- 类概念的优雅和意义