# 16 模块

本章主要内容：

- 模块化的重要意义，特别是对于大型软件系统而言
- 通过模块提升程序的封装性
- 导入标准库模块头单元
- 定义模块的主要接口单元
- 从模块导出声明，使其可在其它编译单元中使用
- 导入模块以使用其导出的声明
- 将模块的接口与实现分离，将模块的实现，放在“:private”片段，或实现单元中
- 使用非导出模块项，将导致编译错误
- 通过分区，将模块组织成逻辑组件
- 将模块划分为子模块，使模块的使用者，可以从库中选择需要使用的部分
- 声明的可见性和可达性
- 借助模块，缩小编译单元，缩短编译时间