## 3.3 if条件语句

借助if条件语句可以选择性地执行或者不执行某些语句。例如：

```c++
if (studentGrade >= 60) {
    cout << "及格" << endl;
}
```

如果某学生的考试成绩大于等于60分，if后面关系表达式的值为真，条件满足，那么其后花括号中的语句就会被执行，打印“及格”，否则该语句不执行，什么也不打印。执行过程如下图所示：

```mermaid
graph TB
  entrance(入口)
  cond{成绩不低于60}
  yes(打印“及格”)
  exit(出口)
  entrance-->cond--是-->yes-->exit
  cond--否-->exit
```

if条件语句是一种单入单出的控制语句。