# 7 现代C++的指针

本章主要内容：

- 什么是指针，如何声明和初始化指针
- 取地址（&）和解引用（\*）操作符
- 比较指针和引用
- 使用指针，以传引用的方式向函数传递实参
- 传统代码中，基于指针的数组和字符串
- 为指针和它指向的数据使用const
- 通过sizeof操作符，计算特定类型或特定类型值的字节数
- 历史遗留代码中的指针表达式和指针算术
- 使用nullptr，表示不指向任何目标的指针
- 使用begin和end库函数，处理基于指针的数组
- 避免使用指针和基于指针的数组，以创建更安全、更健壮的程序
- 借助to_array函数，将内置数组和初始化列表，转换为array
- 使用span类模板创建对象，该对象是内置数组、array和vector的视图