## 8.1 导读

string的其它特性、string_view、文本文件处理、CSV文件处理和正则表达式。

### 8.1.1 string

针对string的更多操作，包括赋值、比较、修改、查找和提取子串等。

在string对象和数值之间相互转换。

### 8.1.2 string_view

string_view可以理解为是C字符串或string对象的一个只读视图，它并不真的拥有它所能看到的数据本身。

string_view有许多与string相似的功能，特别适合在不需要修改字符串内容的场合使用。

### 8.1.3 文本文件和字符串流

创建、更新和处理文本文件。

借助istringstream和ostringstream，读写string对象中的数据。

### 8.1.4 CSV文件和泰坦尼克号灾难数据集

第一个对象自然案例，使用开源rapidcsv库中的一个类创建对象，通过该对象从CSV格式的文件中，读取泰坦尼克号灾难数据集，查看一些数据并做基本的数据分析。

第二个对象自然案例，使用regex对象创建正则表达式，在\<regex\>头文件提供的各种函数中使用该正则表达式，以匹配文本中的模式。

string、字符串流和正则表达式经常被用于数据校验，这对于在工业强度的代码中验证用户输入而言，尤其重要。