# 10 继承和运行时多态

本章主要内容：

- 传统和现代的继承惯用法，基类和派生类
- 在继承结构中调用构造和析构函数的顺序
- 运行时多态使程序代码更简于编写和扩展
- 通过override关键字告诉编译器，派生类将重写基类中的虚函数
- 通过final关键字告诉编译器，该函数不可被重写
- 通过final关键字告诉编译器，该类不可被继承
- 抽象类和具体类
- 虚函数和动态绑定的底层原理，使用虚函数的额外开销
- 为公共的非虚函数，和私有及保护的虚函数，使用非虚接口（NVI）的惯用法
- 通过接口创建更灵活的运行时多态系统
- 借助variant模板和visit函数，实现无继承结构的运行时多态