# 12 异常和契约

本章主要内容：

- 由throw和try-catch构成的异常处理流程
- 为自己的代码提供异常安全保证
- 标准库的异常类
- 定义自己的异常类
- 栈展开使一个未在当前作用域中被捕获的异常，在外层作用域中被捕获
- 处理动态内存分配失败
- 用“catch(...)”捕获任意类型的异常
- 未捕获的异常会造成什么后果
- 哪些异常不应该被处理，哪些异常不能够被处理
- 为何有些组织不允许使用异常，这对软件开发工作有何影响
- 异常处理对性能的影响
- 契约有助于减少异常的使用，使更多函数可被声明为noexcept