# 17 并行算法和并发性

本章主要内容：

- 并行、并发与多线程
- 并行算法、闭锁、屏障等高级并发特性
- 线程的生命周期
- 利用\<chrono\>头文件中的计时功能，在多核系统上，分析串行和并行的性能差异
- 生产者——消费者模型
- 基于mutex、lock_quard、condition_variable和unique_lock的线程同步
- 借助async和future，异步执行长期计算任务，并获得结果
- 闭锁、屏障、信号量和增强的原子类型等并发特性
- 未来可能成为标准的并发特性