# 附录A 操作符的优先级和关联性

以下表格中的操作符，按优先级从高到低排列：

优先级|操作符|功能|关联性
:-:|:-:|:-:|:-:
1|`::`<br/>`()`|作用域解析<br/>分组圆括号|从左到右
2|`()`<br/>`[]`<br/>`.`<br/>`->`<br/>`++`<br/>`--`<br/>`typeid`<br/>`static_cast<类型>`<br/>`dynamic_cast<类型>`<br/>`const_cast<类型>`<br/>`reinterpret_cast<类型>`|函数调用<br/>下标<br/>直接成员访问<br/>间接成员访问<br/>后缀递增<br/>后缀递减<br/>运行时类型信息<br/>静态类型转换<br/>动态类型转换<br/>去常类型转换<br/>重解释类型转换|从左到右
3|`++`<br/>`--`<br/>`+`<br/>`-`<br/>`!`<br/>`~`<br/>`sizeof`<br/>`&`<br/>`*`<br/>`new`<br/>`new[]`<br/>`delete`<br/>`delete[]`<br/>`co_await`<br/>`(类型)`|前缀递增<br/>前缀递减<br/>正<br/>负<br/>逻辑非<br/>位反<br/>字节数<br/>取地址<br/>解引用<br/>动态分配内存<br/>动态分配数组<br/>动态释放内存<br/>动态释放数组<br/>等待协程完成<br/>C风格强制类型转换|从右到左
4|`.*`<br/>`->*`|直接成员指针解引用<br/>间接成员指针解引用|从左到右
5|`*`<br/>`/`<br/>`%`|乘法<br/>除法<br/>取余|从左到右
6|`+`<br/>`_`|加法<br/>减法|从左到右
7|`<<`<br/>`>>`|左移位<br/>右移位|从左到右
8|`<=>`|三路比较|从左到右
9|`<`<br/>`<=`<br/>`>`<br/>`>=`|小于<br/>小于等于<br/>大于<br/>大于等于|从左到右
10|`==`<br/>`!=`|等于<br/>不等于|从左到右
11|`&`|位与|从左到右
12|`^`|位异或|从左到右
13|`|`|位或|从左到右
14|`&&`|逻辑与|从左到右
15|`||`|逻辑或|从左到右
16|`?:`<br/>`=`<br/>`+=`<br/>`-=`<br/>`*=`<br/>`/=`<br/>`%=`<br/>`&=`<br/>`^=`<br/>`|=`<br/>`<<=`<br/>`>>=`<br/>`co_yield`<br/>`throw`|条件<br/>赋值<br/>加法赋值<br/>减法赋值<br/>乘法赋值<br/>除法赋值<br/>取余赋值<br/>位与赋值<br/>位异或赋值<br/>位或赋值<br/>左移位赋值<br/>右移位赋值<br/>暂停协程并返回值<br/>抛出异常|从右到左
17|`,`|逗号|从左到右